package com.bytesw.bytebot.etl.batch.factory.mapper;

import com.bytesw.bytebot.etl.batch.beans.DynaBean;
import com.bytesw.bytebot.etl.batch.mapper.DynaBeanRowMapper;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class RowMapperFactory implements MapperFactory<DynaBeanRowMapper<DynaBean>>{

    @Override
    public DynaBeanRowMapper<DynaBean> createMapper(Map<String, Object> params) {
        DynaBeanRowMapper<DynaBean> rowMapper = new DynaBeanRowMapper<>();
        return rowMapper;
    }
}

